Modificações:Instalando SMAPI no Linux

Fonte: Stardew Valley Wiki
Saltar para a navegação Saltar para a pesquisa
Robin building.png
“Ainda tenho muito trabalho a fazer”
— Robin

Tradução incompleta

Este artigo ou seção não foi completamente traduzido para o português. Você está convidado a ajudar na sua construção editando-o
Última edição por Margotbean em 2021-11-04 18:43:18.

Guia do jogador para utilizar mods SMAPI mascot.png


Esta página explica como instalar SMAPI (a ferramenta que permite usar mods) no Linux. Veja também:

Instalar

  1. Instalar Mono (o pacote mono-complete é recomendado).
    1. A partir do Ubuntu 20.10 (Groovy Gorilla), o pacote mono-devel é suficiente. Instale mono-complete se você receber erros ao executar o script.
  2. Faça o download da versão mais recente do SMAPI. A partir da 3.13.0 requer NET5
  3. Extraia o arquivo .zip em algum lugar (mas não na pasta do jogo!.
  4. Execute o arquivo install on Linux.sh e siga as instruções na tela.
    O instalador detectará seu jogo e adicionará SMAPI para você.
    Observação: se receber o erro "Onde está a pasta do jogo? Ops, não foi possível encontrar o jogo automaticamente. Digite o caminho do arquivo para o diretório do jogo (aquele que contém 'Stardew Valley.exe') e pressione Enter.", você pode ir para this page para encontrar sua pasta de jogo.

É isso! Basta iniciar o jogo para jogar com os mods. Você não precisa alterar suas opções de inicialização do Steam (isso só é necessário no Windows).

Para instalar manualmente, consulte as instruções no readme do instalador.

Atualizar

Basta instalar a nova versão; o instalador limpará automaticamente as versões anteriores.

Desinstalar

  1. Inicie o instalador novamente (consulte Instalar etapa).
  2. Quando solicitado, escolha a opção desinstalar .

Solução de problemas

  • Se o jogo travar ao carregar um arquivo salvo sem erros na janela SMAPI, tente reinstalar o Mono (consulte Instalar etapa 1).
  • Se a janela SMAPI não aparecer mais após uma atualização do jogo, reinstale o SMAPI para corrigir o inicializador.
  • SMAPI tenta encontrar um terminal compatível ou usar seu terminal padrão, mas alguns terminais não são compatíveis. Se o instalador ou iniciador não iniciar um terminal, tente instalar o xterm (não precisa ser seu terminal padrão).
  • See the troubleshooting page for general troubleshooting.